mmsrip(1)

NAME
mmsrip - MMS Ripper

SYNOPSIS
mmsrip [-q] [-t] [-k] [-dDELAY] [-gFILE] <[-oFILE] stream url> ...

DESCRIPTION
mmsrip is a client for the proprietary protocol MMS://.

It saves to a file the content being streamed.

OPTIONS

-a, --about
    Show some information about mmsrip.

-dDELAY, --delay=DELAY
    Save the stream during DELAY seconds and exit.

-gFILE, --debugFILE
    Output debug info to specified file.

-h, --help
    Show the help message.

-k, --trick
    Attempt to trick recalcitrant servers by sending alternative local info (mmsrip will act as an old version of MediaPlayer).

-oFILE, --output=FILE
    Output stream to specified file. This option should be repeated before every stream urls.

-q, --quiet
    Enable quiet mode. Use twice in order to remove error messages as well.

-t, --test
    Enable test mode. mmsrip will only check the stream availability.

-v, --version
    Show version number.

ERROR CODES

0   No error occured.

1   mmsrip was unable to rip the stream (maybe the URL is incorrect).

2   The stream was not ripped for unknown reasons. Please retry several times before giving up, you can write a script that loops until the rip succeeds:
    until mmsrip mms://server.com/stream.asf; do sleep 1; done

AUTHOR
Nicolas BENOIT <nbenoit@tuxfamily.org>

ACKNOWLEDGEMENTS
This program is highly based on the work of SDP Multimedia (http://get.to/sdp) and Major MMS (http://www.geocities.com/majormms). They deserve all the credits for it.